Loading...
Searching...
No Matches
SparseStencilMatrix< ValueType_, STENCIL_SIZE >::RowScaleOp< Scalar > Struct Template Reference

`#include <openvdb/math/ConjGradient.h>`

## Public Member Functions

| RowScaleOp (SparseStencilMatrix &m, const Scalar &s_)
void | operator() (const SizeRange &range) const

## Public Attributes

SparseStencilMatrix * | mat
const Scalar | s

## Constructor & Destructor Documentation

## RowScaleOp()

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename Scalar >

RowScaleOp | ( | SparseStencilMatrix & | m,
|  | const Scalar & | s_ )

inline

## Member Function Documentation

## operator()()

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename Scalar >

void operator() | ( | const SizeRange & | range | ) | const

inline

## Member Data Documentation

## mat

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename Scalar >

SparseStencilMatrix* mat

## s

template<typename ValueType_ , SizeType STENCIL_SIZE>
template<typename Scalar >

const Scalar s